### Hierarchy

- SuiteFunction

### Callable

- __call(title: string, fn: function): Suite
- __call(title: string): Suite

- - Defined in node_modules/@types/mocha/index.d.ts:368

  [bdd, tdd] Describe a "suite" with the given `title` and callback `fn` containing nested suites.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  - ##### fn: function

    - - (this: Suite): void

      - #### Parameters

        - ##### this: Suite

        #### Returns void

  #### Returns Suite

- - Defined in node_modules/@types/mocha/index.d.ts:375

  [qunit] Describe a "suite" with the given `title`.

  - Only available when invoked via the mocha CLI.

  #### Parameters

  - ##### title: string

  #### Returns Suite

## Index

### Properties

- only
- skip

## Properties

### only

only: ExclusiveSuiteFunction

- Defined in node_modules/@types/mocha/index.d.ts:389

[bdd, tdd, qunit] Indicates this suite should be executed exclusively.

- Only available when invoked via the mocha CLI.

### skip

skip: PendingSuiteFunction

- Defined in node_modules/@types/mocha/index.d.ts:396

[bdd, tdd] Indicates this suite should not be executed.

- Only available when invoked via the mocha CLI.

Generated using TypeDoc